--
-- serioRegister
--
-- @author  DD ModPassion
-- @date  04/06/2017
--
-- Copyright (C) DD ModPassion, Confidential, All Rights Reserved.
serioRegister = {};
serioRegister.isLoaded = true;
serioRegister.g_currentModDirectory = g_currentModDirectory;
if SpecializationUtil.specializations["serioJoint"] == nil
then
	SpecializationUtil.registerSpecialization("serioJoint", "serioJoint", g_currentModDirectory.."specializations/serioJoint.lua")
	serioRegister.isLoaded = false;
end;
addModEventListener(serioRegister);
function serioRegister:loadMap(name)
	if not serioRegister.isLoaded
	then
		serioRegister:add();
		serioRegister.isLoaded = true;
	end;
end;
function serioRegister:deleteMap()
end;
function serioRegister:mouseEvent(posX, posY, isDown, isUp, button)
end;
function serioRegister:keyEvent(unicode, sym, modifier, isDown)
end;
function serioRegister:update(dt)
end;
function serioRegister:draw()
end;
function serioRegister:add()
	for _, vehicle in pairs(VehicleTypeUtil.vehicleTypes)
	do
		if vehicle ~= nil
		then
			for i = 1, table.maxn(vehicle.specializations)
			do
				local vs = vehicle.specializations[i];
				if vs ~= nil
				and vs == SpecializationUtil.getSpecialization("steerable")
				then
					table.insert(vehicle.specializations, SpecializationUtil.getSpecialization("serioJoint"));
				end;
			end;
		end;
	end;
end;