--
-- serio
--
-- @author  DD ModPassion
-- @date  04/06/2017
--
-- Copyright (C) DD ModPassion, Confidential, All Rights Reserved.
serio = {};
function serio.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;
function serio:preLoad(savegame)
	self.setStatoSerio = serio.setStatoSerio;
	self.canBeGrabbed = serio.canBeGrabbed;
end;
function serio:load(savegame)
	self.coperchioChiuso = 1;
	self.coperchioAperto = 3;
	self.posizioneCoperchio = self.coperchioChiuso;
	self.valigetta = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.valigetta#index"));
	self.serioRootNode = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.serioRootNode#index"));
	self.serioPivot = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.serioRootNode#pivot"));
	self.posizioneX = -18;
	self.posizioneY = -7;
	self.posizioneZ = 0;
	self.serioPresente = 1;
	self.serioAssente = 3;
	self.posizioneSerio = self.serioPresente;
	self.distanzaMod = 3;
	self.modAssente = 0;
	self.modPresente = 2;
	self.ricercaMod = self.modAssente;
	self.gestioneSerio = false;
	self.menuSerio = false;
	self.attacherVehicle = nil;
	self.modMagica = nil;
	self.modTrattore = "nil";
	self.menuPrimo = 1;
	self.menuSecondo = 2;
	self.menuTerzo = 3;
	self.menuSelezionato = self.menuPrimo;
	self.corpiDestra = 1;
	self.corpiSinistra = 5;
	self.corpoSelezionato = 1;
	self.latoCorpi = 0;
	self.dirtAmount = 0;
	self.esclusioneCorpo01 = false;
	self.esclusioneCorpo02 = false;
	self.esclusioneCorpo03 = false;
	self.esclusioneCorpo04 = false;
	self.esclusioneCorpo05 = false;
	self.esclusioneCorpo06 = false;
	self.esclusioneCorpo07 = false;
	self.esclusioneCorpo08 = false;
	self.salvataggioUno = 1;
	self.salvataggioDue = 2;
	self.salvataggioTre = 3;
	self.salvataggioQuattro = 4;
	self.posizioneSalvataggio = self.salvataggioUno;
	self.speedHud = VehicleHudUtils.loadHud(self, self.xmlFile, "speed");
	self.hourHud = VehicleHudUtils.loadHud(self, self.xmlFile, "hour");
	self.minuteHud = VehicleHudUtils.loadHud(self, self.xmlFile, "minute");
	self.hourWHud = VehicleHudUtils.loadHud(self, self.xmlFile, "hourW");
	self.minuteWHud = VehicleHudUtils.loadHud(self, self.xmlFile, "minuteW");
	self.hectarsHud = VehicleHudUtils.loadHud(self, self.xmlFile, "hectars");
	self.rpmHud = VehicleHudUtils.loadHud(self, self.xmlFile, "rpm");
	self.rateHud = VehicleHudUtils.loadHud(self, self.xmlFile, "rate");
	self.workHud = VehicleHudUtils.loadHud(self, self.xmlFile, "work");
	self.rpmNumberHud = VehicleHudUtils.loadHud(self, self.xmlFile, "rpmNumber");
	self.rateNumberHud = VehicleHudUtils.loadHud(self, self.xmlFile, "rateNumber");
	self.corpo01black = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo01black");
	self.corpo01white = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo01white");
	self.corpo02black = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo02black");
	self.corpo02white = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo02white");
	self.corpo03black = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo03black");
	self.corpo03white = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo03white");
	self.corpo04black = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo04black");
	self.corpo04white = VehicleHudUtils.loadHud(self, self.xmlFile, "corpo04white");
	self.numeroSalvataggio = VehicleHudUtils.loadHud(self, self.xmlFile, "numeroSalvataggio");
	self.workTime = 0;
	self.workMinute = 0;
	self.workHour = 0;
	self.rateNumber = 1;
	self.rpmNumber = 1;
	self.lastSowingArea = 0;
	self.usage = 0;
	self.corpiAttivi = 8;
	self.seedUsage01 = 0;
	self.seedUsage02 = 0;
	self.seedUsage03 = 0;
	self.seedUsage04 = 0;
	self.seedUsage05 = 0;
	self.seedUsage06 = 0;
	self.seedUsage07 = 0;
	self.seedUsage08 = 0;
	self.lastPosition = nil;
	self.movedDistance = 0;
	self.rpmCorpo = 0;
	self.workTime01 = self.workTime;
	self.lastSowingArea01 = self.lastSowingArea;
	self.seedUsage0101 = self.seedUsage01;
	self.seedUsage0201 = self.seedUsage02;
	self.seedUsage0301 = self.seedUsage03;
	self.seedUsage0401 = self.seedUsage04;
	self.seedUsage0501 = self.seedUsage05;
	self.seedUsage0601 = self.seedUsage06;
	self.seedUsage0701 = self.seedUsage07;
	self.seedUsage0801 = self.seedUsage08;
	self.workTime02 = self.workTime;
	self.lastSowingArea02 = self.lastSowingArea;
	self.seedUsage0102 = self.seedUsage01;
	self.seedUsage0202 = self.seedUsage02;
	self.seedUsage0302 = self.seedUsage03;
	self.seedUsage0402 = self.seedUsage04;
	self.seedUsage0502 = self.seedUsage05;
	self.seedUsage0602 = self.seedUsage06;
	self.seedUsage0702 = self.seedUsage07;
	self.seedUsage0802 = self.seedUsage08;
	self.workTime03 = self.workTime;
	self.lastSowingArea03 = self.lastSowingArea;
	self.seedUsage0103 = self.seedUsage01;
	self.seedUsage0203 = self.seedUsage02;
	self.seedUsage0303 = self.seedUsage03;
	self.seedUsage0403 = self.seedUsage04;
	self.seedUsage0503 = self.seedUsage05;
	self.seedUsage0603 = self.seedUsage06;
	self.seedUsage0703 = self.seedUsage07;
	self.seedUsage0803 = self.seedUsage08;
	self.workTime04 = self.workTime;
	self.lastSowingArea04 = self.lastSowingArea;
	self.seedUsage0104 = self.seedUsage01;
	self.seedUsage0204 = self.seedUsage02;
	self.seedUsage0304 = self.seedUsage03;
	self.seedUsage0404 = self.seedUsage04;
	self.seedUsage0504 = self.seedUsage05;
	self.seedUsage0604 = self.seedUsage06;
	self.seedUsage0704 = self.seedUsage07;
	self.seedUsage0804 = self.seedUsage08;
end;
function serio:postLoad(savegame)
	local sceltaCoperchio = self.posizioneCoperchio;
	local sceltaSalvataggio = self.posizioneSalvataggio;
	if savegame ~= nil
	and not savegame.resetVehicles
	then
		self.modTrattore = Utils.getNoNil(getXMLString(savegame.xmlFile, savegame.key.."#trattore"), self.modTrattore);
		self.posizioneX = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#posizioneX"), self.posizioneX);
		self.posizioneY = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#posizioneY"), self.posizioneY);
		self.posizioneZ = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#posizioneZ"), self.posizioneZ);
		self.workTime01 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#workTime01"), self.workTime01);
		self.lastSowingArea01 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#lastSowingArea01"), self.lastSowingArea01);
		self.seedUsage0101 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0101"), self.seedUsage0101);
		self.seedUsage0201 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0201"), self.seedUsage0201);
		self.seedUsage0301 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0301"), self.seedUsage0301);
		self.seedUsage0401 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0401"), self.seedUsage0401);
		self.seedUsage0501 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0501"), self.seedUsage0501);
		self.seedUsage0601 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0601"), self.seedUsage0601);
		self.seedUsage0701 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0701"), self.seedUsage0701);
		self.seedUsage0801 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0801"), self.seedUsage0801);
		self.workTime02 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#workTime02"), self.workTime02);
		self.lastSowingArea02 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#lastSowingArea02"), self.lastSowingArea02);
		self.seedUsage0102 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0102"), self.seedUsage0102);
		self.seedUsage0202 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0202"), self.seedUsage0202);
		self.seedUsage0302 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0302"), self.seedUsage0302);
		self.seedUsage0402 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0402"), self.seedUsage0402);
		self.seedUsage0502 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0502"), self.seedUsage0502);
		self.seedUsage0602 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0602"), self.seedUsage0602);
		self.seedUsage0702 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0702"), self.seedUsage0702);
		self.seedUsage0802 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0802"), self.seedUsage0802);
		self.workTime03 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#workTime03"), self.workTime03);
		self.lastSowingArea03 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#lastSowingArea03"), self.lastSowingArea03);
		self.seedUsage0103 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0103"), self.seedUsage0103);
		self.seedUsage0203 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0203"), self.seedUsage0203);
		self.seedUsage0303 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0303"), self.seedUsage0303);
		self.seedUsage0403 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0403"), self.seedUsage0403);
		self.seedUsage0503 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0503"), self.seedUsage0503);
		self.seedUsage0603 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0603"), self.seedUsage0603);
		self.seedUsage0703 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0703"), self.seedUsage0703);
		self.seedUsage0803 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0803"), self.seedUsage0803);
		self.workTime04 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#workTime04"), self.workTime04);
		self.lastSowingArea04 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#lastSowingArea04"), self.lastSowingArea04);
		self.seedUsage0104 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0104"), self.seedUsage0104);
		self.seedUsage0204 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0204"), self.seedUsage0204);
		self.seedUsage0304 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0304"), self.seedUsage0304);
		self.seedUsage0404 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0404"), self.seedUsage0404);
		self.seedUsage0504 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0504"), self.seedUsage0504);
		self.seedUsage0604 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0604"), self.seedUsage0604);
		self.seedUsage0704 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0704"), self.seedUsage0704);
		self.seedUsage0804 = Utils.getNoNil(getXMLInt(savegame.xmlFile, savegame.key.."#seedUsage0804"), self.seedUsage0804);
	end;
	self.workTime = self.workTime01/10;
	self.lastSowingArea = self.lastSowingArea01/10;
	self.seedUsage01 = self.seedUsage0101;
	self.seedUsage02 = self.seedUsage0201;
	self.seedUsage03 = self.seedUsage0301;
	self.seedUsage04 = self.seedUsage0401;
	self.seedUsage05 = self.seedUsage0501;
	self.seedUsage06 = self.seedUsage0601;
	self.seedUsage07 = self.seedUsage0701;
	self.seedUsage08 = self.seedUsage0801;
	if self.modTrattore == "nil"
	then
		self:setStatoSerio(sceltaCoperchio, sceltaSalvataggio, self.serioPresente, true);
	else
		self:setStatoSerio(sceltaCoperchio, sceltaSalvataggio, self.serioAssente, true);
	end;
end;
function serio:getSaveAttributesAndNodes(nodeIdent)
	if	   self.posizioneSalvataggio == self.salvataggioUno
	then
		self.workTime01 = self.workTime*10;
		self.lastSowingArea01 = self.lastSowingArea*10;
		self.seedUsage0101 = self.seedUsage01;
		self.seedUsage0201 = self.seedUsage02;
		self.seedUsage0301 = self.seedUsage03;
		self.seedUsage0401 = self.seedUsage04;
		self.seedUsage0501 = self.seedUsage05;
		self.seedUsage0601 = self.seedUsage06;
		self.seedUsage0701 = self.seedUsage07;
		self.seedUsage0801 = self.seedUsage08;
	elseif self.posizioneSalvataggio == self.salvataggioDue
	then
		self.workTime02 = self.workTime*10;
		self.lastSowingArea02 = self.lastSowingArea*10;
		self.seedUsage0102 = self.seedUsage01;
		self.seedUsage0202 = self.seedUsage02;
		self.seedUsage0302 = self.seedUsage03;
		self.seedUsage0402 = self.seedUsage04;
		self.seedUsage0502 = self.seedUsage05;
		self.seedUsage0602 = self.seedUsage06;
		self.seedUsage0702 = self.seedUsage07;
		self.seedUsage0802 = self.seedUsage08;
	elseif self.posizioneSalvataggio == self.salvataggioTre
	then
		self.workTime03 = self.workTime*10;
		self.lastSowingArea03 = self.lastSowingArea*10;
		self.seedUsage0103 = self.seedUsage01;
		self.seedUsage0203 = self.seedUsage02;
		self.seedUsage0303 = self.seedUsage03;
		self.seedUsage0403 = self.seedUsage04;
		self.seedUsage0503 = self.seedUsage05;
		self.seedUsage0603 = self.seedUsage06;
		self.seedUsage0703 = self.seedUsage07;
		self.seedUsage0803 = self.seedUsage08;
	elseif self.posizioneSalvataggio == self.salvataggioQuattro
	then
		self.workTime04 = self.workTime*10;
		self.lastSowingArea04 = self.lastSowingArea*10;
		self.seedUsage0104 = self.seedUsage01;
		self.seedUsage0204 = self.seedUsage02;
		self.seedUsage0304 = self.seedUsage03;
		self.seedUsage0404 = self.seedUsage04;
		self.seedUsage0504 = self.seedUsage05;
		self.seedUsage0604 = self.seedUsage06;
		self.seedUsage0704 = self.seedUsage07;
		self.seedUsage0804 = self.seedUsage08;
	end;
	local attributes = 'sceltaSerio="'..self.posizioneSerio..'" trattore="'..self.modTrattore..'" posizioneX="'..self.posizioneX..'" posizioneY="'..self.posizioneY..'" posizioneZ="'..self.posizioneZ..
	'" workTime01="'..self.workTime01..'" lastSowingArea01="'..self.lastSowingArea01..'" seedUsage0101="'..self.seedUsage0101..'" seedUsage0201="'..self.seedUsage0201..'" seedUsage0301="'..self.seedUsage0301..'" seedUsage0401="'..self.seedUsage0401..'" seedUsage0501="'..self.seedUsage0501..'" seedUsage0601="'..self.seedUsage0601..'" seedUsage0701="'..self.seedUsage0701..'" seedUsage0801="'..self.seedUsage0801..
	'" workTime02="'..self.workTime02..'" lastSowingArea02="'..self.lastSowingArea02..'" seedUsage0102="'..self.seedUsage0102..'" seedUsage0202="'..self.seedUsage0202..'" seedUsage0302="'..self.seedUsage0302..'" seedUsage0402="'..self.seedUsage0402..'" seedUsage0502="'..self.seedUsage0502..'" seedUsage0602="'..self.seedUsage0602..'" seedUsage0702="'..self.seedUsage0702..'" seedUsage0802="'..self.seedUsage0802..
	'" workTime03="'..self.workTime03..'" lastSowingArea03="'..self.lastSowingArea03..'" seedUsage0103="'..self.seedUsage0103..'" seedUsage0203="'..self.seedUsage0203..'" seedUsage0303="'..self.seedUsage0303..'" seedUsage0403="'..self.seedUsage0403..'" seedUsage0503="'..self.seedUsage0503..'" seedUsage0603="'..self.seedUsage0603..'" seedUsage0703="'..self.seedUsage0703..'" seedUsage0803="'..self.seedUsage0803..
	'" workTime04="'..self.workTime04..'" lastSowingArea04="'..self.lastSowingArea04..'" seedUsage0104="'..self.seedUsage0104..'" seedUsage0204="'..self.seedUsage0204..'" seedUsage0304="'..self.seedUsage0304..'" seedUsage0404="'..self.seedUsage0404..'" seedUsage0504="'..self.seedUsage0504..'" seedUsage0604="'..self.seedUsage0604..'" seedUsage0704="'..self.seedUsage0704..'" seedUsage0804="'..self.seedUsage0804..'"';
	return attributes, nil;
end;
function serio.readStream(self, streamId, connection)
	if connection:getIsServer()
	then
		local sceltaCoperchio = streamReadInt8(streamId);
		local sceltaSalvataggio = streamReadInt8(streamId);
		local sceltaSerio = streamReadInt8(streamId);
		self:setStatoSerio(sceltaCoperchio, sceltaSalvataggio, sceltaSerio, true);
		self.posizioneX = streamReadInt8(streamId);
		self.posizioneY = streamReadInt8(streamId);
		self.posizioneZ = streamReadInt8(streamId);
	end;
end;
function serio.writeStream(self, streamId, connection)
	if not connection:getIsServer()
	then
		streamWriteInt8(streamId, self.posizioneCoperchio);
		streamWriteInt8(streamId, self.posizioneSalvataggio);
		streamWriteInt8(streamId, self.posizioneSerio);
		streamWriteInt8(streamId, self.posizioneX);
		streamWriteInt8(streamId, self.posizioneY);
		streamWriteInt8(streamId, self.posizioneZ);
	end;
end;
function serio:delete()
	unlink(self.serioRootNode);
end;
function serio:mouseEvent(posX, posY, isDown, isUp, button)
end;
function serio:keyEvent(unicode, sym, modifier, isDown)
end;
function serio:update(dt)
	if self.isClient
	and self.attacherVehicle ~= nil
	then
		if self.attacherVehicle:getIsMotorStarted()
		then
			if self.modMagica ~= nil
			then
				if self.modMagica:getIsTurnedOn()
				then
					self.workTime = self.workTime + (dt/1000);
					if g_server == nil
					then
						if self.modMagica:getLastSpeed() > 2
						then
							self.lastSowingArea = self.lastSowingArea + math.random(0, 85/35*self.modMagica.corpiCorrente/8*self.corpiAttivi)/1000000;
						end;
						self.usage = math.random(0, 30/35*self.modMagica.corpiCorrente)/1000;
					else
						local seedsFruitType = self.modMagica.seeds[self.modMagica.currentSeed];
						local fruitDesc = FruitUtil.fruitIndexToDesc[seedsFruitType];
						self.lastSowingArea = self.lastSowingArea + self.modMagica.lastSowingArea;
						self.usage = fruitDesc.seedUsagePerSqm * self.modMagica.lastSowingArea * 10000;
					end;
					self.corpiAttivi = 8;
					if self.esclusioneCorpo01 == false
					then
						self.seedUsage01 = self.seedUsage01 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo02 == false
					then
						self.seedUsage02 = self.seedUsage02 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo03 == false
					then
						self.seedUsage03 = self.seedUsage03 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo04 == false
					then
						self.seedUsage04 = self.seedUsage04 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo05 == false
					then
						self.seedUsage05 = self.seedUsage05 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo06 == false
					then
						self.seedUsage06 = self.seedUsage06 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo07 == false
					then
						self.seedUsage07 = self.seedUsage07 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.esclusioneCorpo08 == false
					then
						self.seedUsage08 = self.seedUsage08 + self.usage;
					else
						self.corpiAttivi = self.corpiAttivi - 1;
					end;
					if self.rpmCorpo < 38
					then
						self.rpmCorpo = self.rpmCorpo + 1;
					end;
					self.movedDistance = self.movedDistance + (self.modMagica.lastMovedDistance*0.001);
					VehicleHudUtils.setHudValue(self, self.rpmHud, self.rpmCorpo/10, 99);
				else
					if self.rpmCorpo > 0
					then
						self.rpmCorpo = self.rpmCorpo - 1;
					end;
					VehicleHudUtils.setHudValue(self, self.rpmHud, self.rpmCorpo/10, 99);
				end;
				VehicleHudUtils.setHudValue(self, self.speedHud, g_i18n:getSpeed(self.attacherVehicle:getLastSpeed() * self.speedDisplayScale), 14);
				VehicleHudUtils.setHudValue(self, self.hourHud, g_currentMission.environment.currentHour/10, 24);
				VehicleHudUtils.setHudValue(self, self.minuteHud, g_currentMission.environment.currentMinute/10, 60);
				VehicleHudUtils.setHudValue(self, self.rpmNumberHud, self.rpmNumber, 8);
				if self.corpoSelezionato < 5
				then
					self.latoCorpi = 0;
					if self.esclusioneCorpo01
					then
						self:playAnimation("corpo01attivo", -1, self:getAnimationTime("corpo01attivo"), true);
					else
						self:playAnimation("corpo01attivo", 1, self:getAnimationTime("corpo01attivo"), true);
					end;
					if self.esclusioneCorpo02
					then
						self:playAnimation("corpo02attivo", -1, self:getAnimationTime("corpo02attivo"), true);
					else
						self:playAnimation("corpo02attivo", 1, self:getAnimationTime("corpo02attivo"), true);
					end;
					if self.esclusioneCorpo03
					then
						self:playAnimation("corpo03attivo", -1, self:getAnimationTime("corpo03attivo"), true);
					else
						self:playAnimation("corpo03attivo", 1, self:getAnimationTime("corpo03attivo"), true);
					end;
					if self.esclusioneCorpo04
					then
						self:playAnimation("corpo04attivo", -1, self:getAnimationTime("corpo04attivo"), true);
					else
						self:playAnimation("corpo04attivo", 1, self:getAnimationTime("corpo04attivo"), true);
					end;
				else
					self.latoCorpi = 4;
					if self.esclusioneCorpo05
					then
						self:playAnimation("corpo01attivo", -1, self:getAnimationTime("corpo01attivo"), true);
					else
						self:playAnimation("corpo01attivo", 1, self:getAnimationTime("corpo01attivo"), true);
					end;
					if self.esclusioneCorpo06
					then
						self:playAnimation("corpo02attivo", -1, self:getAnimationTime("corpo02attivo"), true);
					else
						self:playAnimation("corpo02attivo", 1, self:getAnimationTime("corpo02attivo"), true);
					end;
					if self.esclusioneCorpo07
					then
						self:playAnimation("corpo03attivo", -1, self:getAnimationTime("corpo03attivo"), true);
					else
						self:playAnimation("corpo03attivo", 1, self:getAnimationTime("corpo03attivo"), true);
					end;
					if self.esclusioneCorpo08
					then
						self:playAnimation("corpo04attivo", -1, self:getAnimationTime("corpo04attivo"), true);
					else
						self:playAnimation("corpo04attivo", 1, self:getAnimationTime("corpo04attivo"), true);
					end;
				end;
				if self.corpoSelezionato == 1
				or self.corpoSelezionato == 5
				then
					self:playAnimation("corpo01selezionato", 1, self:getAnimationTime("corpo01selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo01white, 1+self.latoCorpi, 8);
					self:playAnimation("corpo02selezionato", -1, self:getAnimationTime("corpo02selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo02black, 2+self.latoCorpi, 8);
					self:playAnimation("corpo03selezionato", -1, self:getAnimationTime("corpo03selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo03black, 3+self.latoCorpi, 8);
					self:playAnimation("corpo04selezionato", -1, self:getAnimationTime("corpo04selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo04black, 4+self.latoCorpi, 8);
				elseif self.corpoSelezionato == 2
				or self.corpoSelezionato == 6
				then
					self:playAnimation("corpo02selezionato", 1, self:getAnimationTime("corpo02selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo02white, 2+self.latoCorpi, 8);
					self:playAnimation("corpo01selezionato", -1, self:getAnimationTime("corpo01selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo01black, 1+self.latoCorpi, 8);
					self:playAnimation("corpo03selezionato", -1, self:getAnimationTime("corpo03selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo03black, 3+self.latoCorpi, 8);
					self:playAnimation("corpo04selezionato", -1, self:getAnimationTime("corpo04selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo04black, 4+self.latoCorpi, 8);
				elseif self.corpoSelezionato == 3
				or self.corpoSelezionato == 7
				then
					self:playAnimation("corpo03selezionato", 1, self:getAnimationTime("corpo03selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo03white, 3+self.latoCorpi, 8);
					self:playAnimation("corpo01selezionato", -1, self:getAnimationTime("corpo01selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo01black, 1+self.latoCorpi, 8);
					self:playAnimation("corpo02selezionato", -1, self:getAnimationTime("corpo02selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo02black, 2+self.latoCorpi, 8);
					self:playAnimation("corpo04selezionato", -1, self:getAnimationTime("corpo04selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo04black, 4+self.latoCorpi, 8);
				elseif self.corpoSelezionato == 4
				or self.corpoSelezionato == 8
				then
					self:playAnimation("corpo04selezionato", 1, self:getAnimationTime("corpo04selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo04white, 4+self.latoCorpi, 8);
					self:playAnimation("corpo01selezionato", -1, self:getAnimationTime("corpo01selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo01black, 1+self.latoCorpi, 8);
					self:playAnimation("corpo02selezionato", -1, self:getAnimationTime("corpo02selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo02black, 2+self.latoCorpi, 8);
					self:playAnimation("corpo03selezionato", -1, self:getAnimationTime("corpo03selezionato"), true);
					VehicleHudUtils.setHudValue(self, self.corpo03black, 3+self.latoCorpi, 8);
				end;
			end;
			VehicleHudUtils.setHudValue(self, self.workHud, self.posizioneSalvataggio, 4);
			self.workHour = self.workTime/3600;
			self.workMinute = self.workTime/60;
			VehicleHudUtils.setHudValue(self, self.hourWHud, self.workHour/10, 24);
			VehicleHudUtils.setHudValue(self, self.minuteWHud, self.workMinute/10, 60);
			VehicleHudUtils.setHudValue(self, self.hectarsHud, self.lastSowingArea/2, 9999);
			VehicleHudUtils.setHudValue(self, self.rateNumberHud, self.rateNumber, 8);
			if	   self.rateNumber == 1
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage01/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 2
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage02/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 3
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage03/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 4
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage04/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 5
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage05/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 6
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage06/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 7
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage07/20)/(self.movedDistance*1000)*100, 99);
			elseif self.rateNumber == 8
			then
				VehicleHudUtils.setHudValue(self, self.rateHud, (self.seedUsage08/20)/(self.movedDistance*1000)*100, 99);
			end;
			if InputBinding.hasEvent(InputBinding.Serio_letteraU)
			and self.attacherVehicle:getIsActiveForInput()
			then
				self.gestioneSerio = not self.gestioneSerio;
			end;
			if not self.gestioneSerio
			and self.attacherVehicle:getIsActiveForInput()
			then
				g_currentMission:addHelpButtonText(g_i18n:getText("06serio"), InputBinding.Serio_letteraU);
			end;
			if self.gestioneSerio
			and self.attacherVehicle:getIsActiveForInput()
			then
				self:playAnimation("levaUno", -1, self:getAnimationTime("levaUno"), true);
				self:playAnimation("levaDue", -1, self:getAnimationTime("levaDue"), true);
				self:playAnimation("levaTre", -1, self:getAnimationTime("levaTre"), true);
				g_currentMission:addHelpButtonText(g_i18n:getText("07serio"), InputBinding.Serio_letteraU);
				g_currentMission:addHelpButtonText(g_i18n:getText("05magica"), InputBinding.Serio_paginaSu, nil, GS_PRIO_HIGH);
				if InputBinding.hasEvent(InputBinding.Serio_paginaSu)
				then
					self.menuSelezionato = self.menuSelezionato - 1;
					if self.menuSelezionato < self.menuPrimo
					then
						self.menuSelezionato = self.menuTerzo;
					end;
				end;
				g_currentMission:addHelpButtonText(g_i18n:getText("04magica"), InputBinding.Serio_paginaGiù, nil, GS_PRIO_HIGH);
				if InputBinding.hasEvent(InputBinding.Serio_paginaGiù)
				then
					self.menuSelezionato = self.menuSelezionato + 1;
					if self.menuSelezionato > self.menuTerzo
					then
						self.menuSelezionato = self.menuPrimo;
					end;
				end;
				if	   self.menuSelezionato == self.menuPrimo
				then
					g_currentMission:addHelpButtonText(g_i18n:getText("09serio"), InputBinding.Serio_numpadPiù, nil, GS_PRIO_HIGH);
					if InputBinding.isPressed(InputBinding.Serio_numpadPiù)
					then
						self.posizioneX = self.posizioneX + 0.01;
					end;
					g_currentMission:addHelpButtonText(g_i18n:getText("08serio"), InputBinding.Serio_numpadMeno, nil, GS_PRIO_HIGH);
					if InputBinding.isPressed(InputBinding.Serio_numpadMeno)
					then
						self.posizioneX = self.posizioneX - 0.01;
					end;
				elseif self.menuSelezionato == self.menuSecondo
				then
					g_currentMission:addHelpButtonText(g_i18n:getText("11serio"), InputBinding.Serio_numpadPiù, nil, GS_PRIO_HIGH);
					if InputBinding.isPressed(InputBinding.Serio_numpadPiù)
					then
						self.posizioneY = self.posizioneY + 0.01;
					end;
					g_currentMission:addHelpButtonText(g_i18n:getText("10serio"), InputBinding.Serio_numpadMeno, nil, GS_PRIO_HIGH);
					if InputBinding.isPressed(InputBinding.Serio_numpadMeno)
					then
						self.posizioneY = self.posizioneY - 0.01;
					end;
				elseif self.menuSelezionato == self.menuTerzo
				then
					if self.posizioneZ < 0.55
					then
						g_currentMission:addHelpButtonText(g_i18n:getText("12serio"), InputBinding.Serio_numpadPiù, nil, GS_PRIO_HIGH);
						if InputBinding.hasEvent(InputBinding.Serio_numpadPiù)
						then
							self.posizioneZ = self.posizioneZ + 0.01;
						end;
					end;
					if self.posizioneZ > -0.2
					then
						g_currentMission:addHelpButtonText(g_i18n:getText("13serio"), InputBinding.Serio_numpadMeno, nil, GS_PRIO_HIGH);
						if InputBinding.hasEvent(InputBinding.Serio_numpadMeno)
						then
							self.posizioneZ = self.posizioneZ - 0.01;
						end;
					end;
				end;
				setTranslation(self.serioPivot, -0.5+self.posizioneZ, 0, 0);
				setRotation(self.serioRootNode, 0, self.posizioneX, 0);
				setRotation(self.serioPivot, self.posizioneY, 1.6, -6);
			elseif self.modMagica ~= nil
			then
				self:playAnimation("magicaMissing", -1, self:getAnimationTime("magicaMissing"), true);
				self:playAnimation("logoWarningSerio", 1, self:getAnimationTime("logoWarningSerio"), true);
				self:playAnimation("simboliCorpi", 1, self:getAnimationTime("simboliCorpi"), true);
				if InputBinding.hasEvent(InputBinding.Serio_letteraU)
				and self.modMagica:getIsActiveForInput()
				then
					self.gestioneSerio = not self.gestioneSerio;
				end;
				if not self.gestioneSerio
				and self.modMagica:getIsActiveForInput()
				then
					g_currentMission:addHelpButtonText(g_i18n:getText("06serio"), InputBinding.Serio_letteraU);
				end;
				if self.gestioneSerio
				and self.modMagica:getIsActiveForInput()
				then
					self:playAnimation("levaUno", -1, self:getAnimationTime("levaUno"), true);
					self:playAnimation("levaDue", -1, self:getAnimationTime("levaDue"), true);
					self:playAnimation("levaTre", -1, self:getAnimationTime("levaTre"), true);
					g_currentMission:addHelpButtonText(g_i18n:getText("07serio"), InputBinding.Serio_letteraU);
					g_currentMission:addHelpButtonText(g_i18n:getText("05magica"), InputBinding.Serio_paginaSu, nil, GS_PRIO_HIGH);
					if InputBinding.hasEvent(InputBinding.Serio_paginaSu)
					then
						self.menuSelezionato = self.menuSelezionato - 1;
						if self.menuSelezionato < self.menuPrimo
						then
							self.menuSelezionato = self.menuTerzo;
						end;
					end;
					g_currentMission:addHelpButtonText(g_i18n:getText("04magica"), InputBinding.Serio_paginaGiù, nil, GS_PRIO_HIGH);
					if InputBinding.hasEvent(InputBinding.Serio_paginaGiù)
					then
						self.menuSelezionato = self.menuSelezionato + 1;
						if self.menuSelezionato > self.menuTerzo
						then
							self.menuSelezionato = self.menuPrimo;
						end;
					end;
					if	   self.menuSelezionato == self.menuPrimo
					then
						g_currentMission:addHelpButtonText(g_i18n:getText("09serio"), InputBinding.Serio_numpadPiù, nil, GS_PRIO_HIGH);
						if InputBinding.isPressed(InputBinding.Serio_numpadPiù)
						then
							self.posizioneX = self.posizioneX + 0.01;
						end;
						g_currentMission:addHelpButtonText(g_i18n:getText("08serio"), InputBinding.Serio_numpadMeno, nil, GS_PRIO_HIGH);
						if InputBinding.isPressed(InputBinding.Serio_numpadMeno)
						then
							self.posizioneX = self.posizioneX - 0.01;
						end;
					elseif self.menuSelezionato == self.menuSecondo
					then
						g_currentMission:addHelpButtonText(g_i18n:getText("11serio"), InputBinding.Serio_numpadPiù, nil, GS_PRIO_HIGH);
						if InputBinding.isPressed(InputBinding.Serio_numpadPiù)
						then
							self.posizioneY = self.posizioneY + 0.01;
						end;
						g_currentMission:addHelpButtonText(g_i18n:getText("10serio"), InputBinding.Serio_numpadMeno, nil, GS_PRIO_HIGH);
						if InputBinding.isPressed(InputBinding.Serio_numpadMeno)
						then
							self.posizioneY = self.posizioneY - 0.01;
						end;
					elseif self.menuSelezionato == self.menuTerzo
					then
						if self.posizioneZ < 0.55
						then
							g_currentMission:addHelpButtonText(g_i18n:getText("12serio"), InputBinding.Serio_numpadPiù, nil, GS_PRIO_HIGH);
							if InputBinding.hasEvent(InputBinding.Serio_numpadPiù)
							then
								self.posizioneZ = self.posizioneZ + 0.01;
							end;
						end;
						if self.posizioneZ > -0.2
						then
							g_currentMission:addHelpButtonText(g_i18n:getText("13serio"), InputBinding.Serio_numpadMeno, nil, GS_PRIO_HIGH);
							if InputBinding.hasEvent(InputBinding.Serio_numpadMeno)
							then
								self.posizioneZ = self.posizioneZ - 0.01;
							end;
						end;
					end;
					setTranslation(self.serioPivot, -0.5+self.posizioneZ, 0, 0);
					setRotation(self.serioRootNode, 0, self.posizioneX, 0);
					setRotation(self.serioPivot, self.posizioneY, 1.6, -6);
				end;
				if InputBinding.hasEvent(InputBinding.Serio_letteraM)
				and self.modMagica:getIsActiveForInput(true)
				and not self.gestioneSerio
				then
					if g_server ~= nil
					then
						self.menuSerio = not self.menuSerio;
					end;
				end;
				if self.menuSerio
				and not self.gestioneSerio
				then
					self:playAnimation("numeriCorpi", 1, self:getAnimationTime("numeriCorpi"), true);
					self:playAnimation("levaUno", -1, self:getAnimationTime("levaUno"), true);
					self:playAnimation("levaDue", -1, self:getAnimationTime("levaDue"), true);
					self:playAnimation("levaTre", -1, self:getAnimationTime("levaTre"), true);
					VehicleHudUtils.setHudValue(self, self.numeroSalvataggio, self.posizioneSalvataggio, 4);
					self:playAnimation("menu", 1, self:getAnimationTime("menu"), true);
					if InputBinding.hasEvent(InputBinding.Serio_numpadQuattro)
					and self.modMagica:getIsActiveForInput(true)
					then
						if self.posizioneSalvataggio < 4
						then
							self.posizioneSalvataggio = self.posizioneSalvataggio + 1;
							self:setStatoSerio(self.posizioneCoperchio, self.posizioneSalvataggio*10, self.posizioneSerio);
						end;
					end;
					if InputBinding.hasEvent(InputBinding.Serio_numpadSei)
					and self.modMagica:getIsActiveForInput(true)
					then
						if self.posizioneSalvataggio > 1
						then
							self.posizioneSalvataggio = self.posizioneSalvataggio - 1;
							self:setStatoSerio(self.posizioneCoperchio, self.posizioneSalvataggio*-1, self.posizioneSerio);
						end;
					end;
					if InputBinding.hasEvent(InputBinding.Serio_numpadOtto)
					and self.modMagica:getIsActiveForInput(true)
					then
						self:setStatoSerio(self.posizioneCoperchio, self.posizioneSalvataggio*100, self.posizioneSerio);
					end;
				else
					self:playAnimation("menu", -1, self:getAnimationTime("menu"), true);
					self:playAnimation("numeriCorpi", -1, self:getAnimationTime("numeriCorpi"), true);
				end;
				if self.modMagica:getIsActiveForInput(true)
				and not self.gestioneSerio
				and not self.menuSerio
				then
					if InputBinding.hasEvent(InputBinding.Serio_numpadUno)
					then
						self.rateNumber = self.rateNumber + 1;
						if self.rateNumber > 8
						then
							self.rateNumber = 1;
						end;
					end;
					if InputBinding.hasEvent(InputBinding.Serio_numpadSette)
					then
						self.rpmNumber = self.rpmNumber + 1;
						if self.rpmNumber > 8
						then
							self.rpmNumber = 1;
						end;
					end;
					if InputBinding.hasEvent(InputBinding.Serio_paginaSu)
					then
						self.menuSelezionato = self.menuSelezionato - 1;
						if self.menuSelezionato < self.menuPrimo
						then
							self.menuSelezionato = self.menuTerzo;
						end;
					end;
					if InputBinding.hasEvent(InputBinding.Serio_paginaGiù)
					then
						self.menuSelezionato = self.menuSelezionato + 1;
						if self.menuSelezionato > self.menuTerzo
						then
							self.menuSelezionato = self.menuPrimo;
						end;
					end;
					if	   self.menuSelezionato == self.menuPrimo
					then
						self:playAnimation("levaUno", 1, self:getAnimationTime("levaUno"), true);
						self:playAnimation("levaDue", -1, self:getAnimationTime("levaDue"), true);
						self:playAnimation("levaTre", -1, self:getAnimationTime("levaTre"), true);
						if self.corpiDestra < 4
						then
							if InputBinding.hasEvent(InputBinding.Serio_numpadPiù)
							then
								self:playAnimation("corpiDestraD", 1, 0, true);
								self.corpiDestra = self.corpiDestra + 1;
								self.corpoSelezionato = self.corpiDestra;
							end;
						end;
						if self.corpiDestra > 1
						then
							if InputBinding.hasEvent(InputBinding.Serio_numpadMeno)
							then
								self:playAnimation("corpiDestraS", 1, 0, true);
								self.corpiDestra = self.corpiDestra - 1;
								self.corpoSelezionato = self.corpiDestra;
							end;
						end;
					elseif self.menuSelezionato == self.menuSecondo
					then
						self:playAnimation("levaUno", -1, self:getAnimationTime("levaUno"), true);
						self:playAnimation("levaDue", 1, self:getAnimationTime("levaDue"), true);
						self:playAnimation("levaTre", -1, self:getAnimationTime("levaTre"), true);
						if self.corpiSinistra < 8
						then
							if InputBinding.hasEvent(InputBinding.Serio_numpadPiù)
							then
								self:playAnimation("corpiSinistraD", 1, 0, true);
								self.corpiSinistra = self.corpiSinistra + 1;
								self.corpoSelezionato = self.corpiSinistra;
							end;
						end;
						if self.corpiSinistra > 5
						then
							if InputBinding.hasEvent(InputBinding.Serio_numpadMeno)
							then
								self:playAnimation("corpiSinistraS", 1, 0, true);
								self.corpiSinistra = self.corpiSinistra - 1;
								self.corpoSelezionato = self.corpiSinistra;
							end;
						end;
					elseif self.menuSelezionato == self.menuTerzo
					then
						self:playAnimation("levaUno", -1, self:getAnimationTime("levaUno"), true);
						self:playAnimation("levaDue", -1, self:getAnimationTime("levaDue"), true);
						self:playAnimation("levaTre", 1, self:getAnimationTime("levaTre"), true);
						if InputBinding.hasEvent(InputBinding.Serio_numpadPiù)
						then
							self:playAnimation("statoDisattiva", 1, 0, true);
							if	   self.corpoSelezionato == 1
							then
								self.esclusioneCorpo01 = true;
							elseif self.corpoSelezionato == 2
							then
								self.esclusioneCorpo02 = true;
							elseif self.corpoSelezionato == 3
							then
								self.esclusioneCorpo03 = true;
							elseif self.corpoSelezionato == 4
							then
								self.esclusioneCorpo04 = true;
							elseif self.corpoSelezionato == 5
							then
								self.esclusioneCorpo05 = true;
							elseif self.corpoSelezionato == 6
							then
								self.esclusioneCorpo06 = true;
							elseif self.corpoSelezionato == 7
							then
								self.esclusioneCorpo07 = true;
							elseif self.corpoSelezionato == 8
							then
								self.esclusioneCorpo08 = true;
							end;
							self.modMagica:setEsclusioneCorpi(self.esclusioneCorpo01, self.esclusioneCorpo02, self.esclusioneCorpo03, self.esclusioneCorpo04, self.esclusioneCorpo05, self.esclusioneCorpo06, self.esclusioneCorpo07, self.esclusioneCorpo08);
						end;
						if InputBinding.hasEvent(InputBinding.Serio_numpadMeno)
						then
							self:playAnimation("statoAttiva", 1, 0, true);
							if	   self.corpoSelezionato == 1
							then
								self.esclusioneCorpo01 = false;
							elseif self.corpoSelezionato == 2
							then
								self.esclusioneCorpo02 = false;
							elseif self.corpoSelezionato == 3
							then
								self.esclusioneCorpo03 = false;
							elseif self.corpoSelezionato == 4
							then
								self.esclusioneCorpo04 = false;
							elseif self.corpoSelezionato == 5
							then
								self.esclusioneCorpo05 = false;
							elseif self.corpoSelezionato == 6
							then
								self.esclusioneCorpo06 = false;
							elseif self.corpoSelezionato == 7
							then
								self.esclusioneCorpo07 = false;
							elseif self.corpoSelezionato == 8
							then
								self.esclusioneCorpo08 = false;
							end;
							self.modMagica:setEsclusioneCorpi(self.esclusioneCorpo01, self.esclusioneCorpo02, self.esclusioneCorpo03, self.esclusioneCorpo04, self.esclusioneCorpo05, self.esclusioneCorpo06, self.esclusioneCorpo07, self.esclusioneCorpo08);
						end;
					end;
				end;
			elseif self.modMagica == nil
			then
				if self.menuSerio
				then
					self.menuSerio = not self.menuSerio;
					self:playAnimation("menu", -1, self:getAnimationTime("menu"), true);
				end;
				self.rpmCorpo = 0;
				self:playAnimation("magicaMissing", 1, self:getAnimationTime("magicaMissing"), true);
				self:playAnimation("numeriCorpi", 1, self:getAnimationTime("numeriCorpi"), true);
				self:playAnimation("logoWarningSerio", -1, self:getAnimationTime("logoWarningSerio"), true);
				self:playAnimation("simboliCorpi", -1, self:getAnimationTime("simboliCorpi"), true);
			end;
		end;
	end;
	if g_currentMission.player ~= nil
	and g_currentMission.player.isEntered
	then
		local gx, gy, gz = getWorldTranslation(g_currentMission.player.rootNode);
		local mx, my, mz = getWorldTranslation(self.valigetta);
		if Utils.vector3Length(gx-mx, gy-my, gz-mz) < self.distanzaMod
		then
			if	   self.posizioneCoperchio == self.coperchioChiuso
			then
				g_currentMission:addHelpButtonText(g_i18n:getText("01serio"), InputBinding.Serio_letteraO);
				if InputBinding.hasEvent(InputBinding.Serio_letteraO)
				then
					self:setStatoSerio(self.coperchioAperto, self.posizioneSalvataggio, self.posizioneSerio);
				end;
			elseif self.posizioneCoperchio == self.coperchioAperto
			then
				g_currentMission:addHelpButtonText(g_i18n:getText("02serio"), InputBinding.Serio_letteraO);
				if InputBinding.hasEvent(InputBinding.Serio_letteraO)
				then
					self:setStatoSerio(self.coperchioChiuso, self.posizioneSalvataggio, self.posizioneSerio);
				end;
				if self.ricercaMod == self.modPresente
				then
					g_currentMission:enableHudIcon("attach", 3);
					if	   self.posizioneSerio == self.serioAssente
					then
						g_currentMission:addHelpButtonText(g_i18n:getText("05serio"), InputBinding.Serio_letteraI);
						if InputBinding.hasEvent(InputBinding.Serio_letteraI)
						then
							self:setStatoSerio(self.posizioneCoperchio, self.posizioneSalvataggio, self.serioPresente);
						end;
					elseif self.posizioneSerio == self.serioPresente
					then
						g_currentMission:addHelpButtonText(g_i18n:getText("04serio"), InputBinding.Serio_letteraI);
						if InputBinding.hasEvent(InputBinding.Serio_letteraI)
						then
							self:setStatoSerio(self.posizioneCoperchio, self.posizioneSalvataggio, self.serioAssente);
						end;
					end;
				else
					g_currentMission:addExtraPrintText(g_i18n:getText('03serio'));
				end;
			end;
		end;
	end;
end;
function serio:updateTick(dt)
	if self.isClient
	then
		local ricercaTrattore = self.modAssente;
		local mx, my, mz = getWorldTranslation(self.valigetta);
		for _, vehicle in pairs(g_currentMission.steerables)
		do
			if vehicle ~= nil
			then
				for i = 1, table.maxn(vehicle.specializations)
				do
					local vs = vehicle.specializations[i];
					if vs ~= nil
					and vs == SpecializationUtil.getSpecialization("serioJoint")
					then
						local vx, vy, vz = getWorldTranslation(vehicle.components[1].node);
						if Utils.vector3Length(vx-mx, vy-my, vz-mz) < self.distanzaMod
						then
							ricercaTrattore = self.modPresente;
						end;
					end;
				end;
			end;
		end;
		self.ricercaMod = ricercaTrattore;
		if self.posizioneSerio == self.serioAssente
		then
			local modMagica = nil;
			if self.attacherVehicle ~= nil
			then
				local currentVehicle = self.attacherVehicle;
				if currentVehicle.attachedImplements ~= nil
				then
					for _,implement in pairs(currentVehicle.attachedImplements)
					do
						if implement.object ~= nil
						then
							if string.match(implement.object.typeName, "magica") == "magica"
							then
								modMagica = implement.object;
							end;
						end;
					end;
				end;
			end;
			self.modMagica = modMagica;
		end;
		if self.attacherVehicle ~= nil
		then
			if self.attacherVehicle:getIsMotorStarted()
			then
				self:playAnimation("acceso", 1, self:getAnimationTime("acceso"), true);
			else
				self:playAnimation("acceso", -1, self:getAnimationTime("acceso"), true);
			end;
		end;
	end;
end;
function serio:draw()
end;
function serio:onAttach(attacherVehicle, jointDescIndex)
end;
function serio:onDetach()
end;
function serio:canBeGrabbed()
	return true;
end;
function Player:pickUpObjectRaycastCallback(hitObjectId, x, y, z, distance)
	if distance > 0.5
	and distance <= Player.MAX_PICKABLE_OBJECT_DISTANCE
	then
		if hitObjectId ~= g_currentMission.terrainDetailId
		and Player.PICKED_UP_OBJECTS[hitObjectId] ~= true
		then
			if getRigidBodyType(hitObjectId) == "Dynamic"
			then
				local object = g_currentMission:getNodeObject(hitObjectId);
				if (object ~= nil and object.dynamicMountObject == nil)
				or g_currentMission.nodeToVehicle[hitObjectId] == nil
				or (g_currentMission.nodeToVehicle[hitObjectId].canBeGrabbed ~= nil and g_currentMission.nodeToVehicle[hitObjectId]:canBeGrabbed())
				then
					self.lastFoundObject = hitObjectId;
					self.lastFoundObjectMass = getMass(hitObjectId);
					self.lastFoundObjectHitPoint = {x, y, z};
					return false;
				end;
			end;
		end;
	end;
	return true;
end;
function serio:setStatoSerio(sceltaCoperchio, sceltaSalvataggio, sceltaSerio, noEventSend)
	setStatoSerioEvent.sendEvent(self, sceltaCoperchio, sceltaSalvataggio, sceltaSerio, noEventSend);
	if	   sceltaCoperchio == self.coperchioAperto
	then
		self:playAnimation("apertura", 1, self:getAnimationTime("apertura"), true);
	elseif sceltaCoperchio == self.coperchioChiuso
	then
		self:playAnimation("apertura", -1, self:getAnimationTime("apertura"), true);
	end;
	if	   sceltaSerio == self.serioAssente
	then
		if self.modTrattore ~= "nil"
		then
			for _, vehicle in pairs(g_currentMission.steerables)
			do
				if vehicle ~= nil
				then
					if vehicle.modSerio == self.modTrattore
					and vehicle.characterNode ~= nil
					then
						self.attacherVehicle = vehicle;
						unlink(self.serioRootNode);
						local wx, wy, wz = getWorldTranslation(self.attacherVehicle.characterNode);
						local lx, ly, lz = worldToLocal(self.attacherVehicle.characterNode, wx, wy, wz);
						setTranslation(self.serioRootNode, lx, ly+0.5, lz-0.14);
						link(getParent(self.attacherVehicle.characterNode), self.serioRootNode);
						setTranslation(self.serioPivot, -0.5+self.posizioneZ, 0, 0);
						setRotation(self.serioRootNode, 0, self.posizioneX, 0);
						setRotation(self.serioPivot, self.posizioneY, 1.6, -6);
					end;
				end;
			end;
		else
			local mx, my, mz = getWorldTranslation(self.valigetta);
			if g_currentMission.steerables ~= nil
			then
				for _, vehicle in pairs(g_currentMission.steerables)
				do
					if vehicle ~= nil
					then
						for i = 1, table.maxn(vehicle.specializations)
						do
							local vs = vehicle.specializations[i];
							if vs ~= nil
							and vs == SpecializationUtil.getSpecialization("serioJoint")
							then
								local vx, vy, vz = getWorldTranslation(vehicle.components[1].node);
								if Utils.vector3Length(vx-mx, vy-my, vz-mz) < self.distanzaMod
								and vehicle.characterNode ~= nil
								then
									self.attacherVehicle = vehicle;
									self.modTrattore = tostring(self.attacherVehicle);
									self.attacherVehicle.modSerio = self.modTrattore;
									unlink(self.serioRootNode);
									local wx, wy, wz = getWorldTranslation(self.attacherVehicle.characterNode);
									local lx, ly, lz = worldToLocal(self.attacherVehicle.characterNode, wx, wy, wz);
									setTranslation(self.serioRootNode, lx, ly+0.5, lz-0.14);
									link(getParent(self.attacherVehicle.characterNode), self.serioRootNode);
									setTranslation(self.serioPivot, -0.5+self.posizioneZ, 0, 0);
									setRotation(self.serioRootNode, 0, self.posizioneX, 0);
									setRotation(self.serioPivot, self.posizioneY, 1.6, -6);
								end;
							end;
						end;
					end;
				end;
			end;
		end;
		self:playAnimation("serio", 1, self:getAnimationTime("serio"), true);
	elseif sceltaSerio == self.serioPresente
	then
		unlink(self.serioRootNode);
		self.modTrattore = "nil";
		if self.attacherVehicle ~= nil
		then
			self.attacherVehicle.modSerio = nil;
		end;
		self.attacherVehicle = nil;
		self:playAnimation("serio", -1, self:getAnimationTime("serio"), true);
	end;
	if	   sceltaSalvataggio > 99
	then
		if	  sceltaSalvataggio == self.salvataggioUno*100
		then
			self.workTime01 = 0;
			self.lastSowingArea01 = 0;
			self.seedUsage0101 = 0;
			self.seedUsage0201 = 0;
			self.seedUsage0301 = 0;
			self.seedUsage0401 = 0;
			self.seedUsage0501 = 0;
			self.seedUsage0601 = 0;
			self.seedUsage0701 = 0;
			self.seedUsage0801 = 0;
		elseif sceltaSalvataggio == self.salvataggioDue*100
		then
			self.workTime02 = 0;
			self.lastSowingArea02 = 0;
			self.seedUsage0102 = 0;
			self.seedUsage0202 = 0;
			self.seedUsage0302 = 0;
			self.seedUsage0402 = 0;
			self.seedUsage0502 = 0;
			self.seedUsage0602 = 0;
			self.seedUsage0702 = 0;
			self.seedUsage0802 = 0;
		elseif sceltaSalvataggio == self.salvataggioTre*100
		then
			self.workTime03 = 0;
			self.lastSowingArea03 = 0;
			self.seedUsage0103 = 0;
			self.seedUsage0203 = 0;
			self.seedUsage0303 = 0;
			self.seedUsage0403 = 0;
			self.seedUsage0503 = 0;
			self.seedUsage0603 = 0;
			self.seedUsage0703 = 0;
			self.seedUsage0803 = 0;
		elseif sceltaSalvataggio == self.salvataggioQuattro*100
		then
			self.workTime04 = 0;
			self.lastSowingArea04 = 0;
			self.seedUsage0104 = 0;
			self.seedUsage0204 = 0;
			self.seedUsage0304 = 0;
			self.seedUsage0404 = 0;
			self.seedUsage0504 = 0;
			self.seedUsage0604 = 0;
			self.seedUsage0704 = 0;
			self.seedUsage0804 = 0;
		end;
		self.workTime = 0;
		self.lastSowingArea = 0;
		self.seedUsage01 = 0;
		self.seedUsage02 = 0;
		self.seedUsage03 = 0;
		self.seedUsage04 = 0;
		self.seedUsage05 = 0;
		self.seedUsage06 = 0;
		self.seedUsage07 = 0;
		self.seedUsage08 = 0;
		sceltaSalvataggio = sceltaSalvataggio/100;
	elseif sceltaSalvataggio < 0
	then
		if	   sceltaSalvataggio == self.salvataggioUno*-1
		then
			self.workTime02 = self.workTime*10;
			self.lastSowingArea02 = self.lastSowingArea*10;
			self.seedUsage0102 = self.seedUsage01;
			self.seedUsage0202 = self.seedUsage02;
			self.seedUsage0302 = self.seedUsage03;
			self.seedUsage0402 = self.seedUsage04;
			self.seedUsage0502 = self.seedUsage05;
			self.seedUsage0602 = self.seedUsage06;
			self.seedUsage0702 = self.seedUsage07;
			self.seedUsage0802 = self.seedUsage08;
			self.workTime = self.workTime01/10;
			self.lastSowingArea = self.lastSowingArea01/10;
			self.seedUsage01 = self.seedUsage0101;
			self.seedUsage02 = self.seedUsage0201;
			self.seedUsage03 = self.seedUsage0301;
			self.seedUsage04 = self.seedUsage0401;
			self.seedUsage05 = self.seedUsage0501;
			self.seedUsage06 = self.seedUsage0601;
			self.seedUsage07 = self.seedUsage0701;
			self.seedUsage08 = self.seedUsage0801;
		elseif sceltaSalvataggio == self.salvataggioDue*-1
		then
			self.workTime03 = self.workTime*10;
			self.lastSowingArea03 = self.lastSowingArea*10;
			self.seedUsage0103 = self.seedUsage01;
			self.seedUsage0203 = self.seedUsage02;
			self.seedUsage0303 = self.seedUsage03;
			self.seedUsage0403 = self.seedUsage04;
			self.seedUsage0503 = self.seedUsage05;
			self.seedUsage0603 = self.seedUsage06;
			self.seedUsage0703 = self.seedUsage07;
			self.seedUsage0803 = self.seedUsage08;
			self.workTime = self.workTime02/10;
			self.lastSowingArea = self.lastSowingArea02/10;
			self.seedUsage01 = self.seedUsage0102;
			self.seedUsage02 = self.seedUsage0202;
			self.seedUsage03 = self.seedUsage0302;
			self.seedUsage04 = self.seedUsage0402;
			self.seedUsage05 = self.seedUsage0502;
			self.seedUsage06 = self.seedUsage0602;
			self.seedUsage07 = self.seedUsage0702;
			self.seedUsage08 = self.seedUsage0802;
		elseif sceltaSalvataggio == self.salvataggioTre*-1
		then
			self.workTime04 = self.workTime*10;
			self.lastSowingArea04 = self.lastSowingArea*10;
			self.seedUsage0104 = self.seedUsage01;
			self.seedUsage0204 = self.seedUsage02;
			self.seedUsage0304 = self.seedUsage03;
			self.seedUsage0404 = self.seedUsage04;
			self.seedUsage0504 = self.seedUsage05;
			self.seedUsage0604 = self.seedUsage06;
			self.seedUsage0704 = self.seedUsage07;
			self.seedUsage0804 = self.seedUsage08;
			self.workTime = self.workTime03/10;
			self.lastSowingArea = self.lastSowingArea03/10;
			self.seedUsage01 = self.seedUsage0103;
			self.seedUsage02 = self.seedUsage0203;
			self.seedUsage03 = self.seedUsage0303;
			self.seedUsage04 = self.seedUsage0403;
			self.seedUsage05 = self.seedUsage0503;
			self.seedUsage06 = self.seedUsage0603;
			self.seedUsage07 = self.seedUsage0703;
			self.seedUsage08 = self.seedUsage0803;
		end;
		sceltaSalvataggio = sceltaSalvataggio*-1;
	elseif sceltaSalvataggio > 9
	then
		if	   sceltaSalvataggio == self.salvataggioDue*10
		then
			self.workTime01 = self.workTime*10;
			self.lastSowingArea01 = self.lastSowingArea*10;
			self.seedUsage0101 = self.seedUsage01;
			self.seedUsage0201 = self.seedUsage02;
			self.seedUsage0301 = self.seedUsage03;
			self.seedUsage0401 = self.seedUsage04;
			self.seedUsage0501 = self.seedUsage05;
			self.seedUsage0601 = self.seedUsage06;
			self.seedUsage0701 = self.seedUsage07;
			self.seedUsage0801 = self.seedUsage08;
			self.workTime = self.workTime02/10;
			self.lastSowingArea = self.lastSowingArea02/10;
			self.seedUsage01 = self.seedUsage0102;
			self.seedUsage02 = self.seedUsage0202;
			self.seedUsage03 = self.seedUsage0302;
			self.seedUsage04 = self.seedUsage0402;
			self.seedUsage05 = self.seedUsage0502;
			self.seedUsage06 = self.seedUsage0602;
			self.seedUsage07 = self.seedUsage0702;
			self.seedUsage08 = self.seedUsage0802;
		elseif sceltaSalvataggio == self.salvataggioTre*10
		then
			self.workTime02 = self.workTime*10;
			self.lastSowingArea02 = self.lastSowingArea*10;
			self.seedUsage0102 = self.seedUsage01;
			self.seedUsage0202 = self.seedUsage02;
			self.seedUsage0302 = self.seedUsage03;
			self.seedUsage0402 = self.seedUsage04;
			self.seedUsage0502 = self.seedUsage05;
			self.seedUsage0602 = self.seedUsage06;
			self.seedUsage0702 = self.seedUsage07;
			self.seedUsage0802 = self.seedUsage08;
			self.workTime = self.workTime03/10;
			self.lastSowingArea = self.lastSowingArea03/10;
			self.seedUsage01 = self.seedUsage0103;
			self.seedUsage02 = self.seedUsage0203;
			self.seedUsage03 = self.seedUsage0303;
			self.seedUsage04 = self.seedUsage0403;
			self.seedUsage05 = self.seedUsage0503;
			self.seedUsage06 = self.seedUsage0603;
			self.seedUsage07 = self.seedUsage0703;
			self.seedUsage08 = self.seedUsage0803;
		elseif sceltaSalvataggio == self.salvataggioQuattro*10
		then
			self.workTime03 = self.workTime*10;
			self.lastSowingArea03 = self.lastSowingArea*10;
			self.seedUsage0103 = self.seedUsage01;
			self.seedUsage0203 = self.seedUsage02;
			self.seedUsage0303 = self.seedUsage03;
			self.seedUsage0403 = self.seedUsage04;
			self.seedUsage0503 = self.seedUsage05;
			self.seedUsage0603 = self.seedUsage06;
			self.seedUsage0703 = self.seedUsage07;
			self.seedUsage0803 = self.seedUsage08;
			self.workTime = self.workTime04/10;
			self.lastSowingArea = self.lastSowingArea04/10;
			self.seedUsage01 = self.seedUsage0104;
			self.seedUsage02 = self.seedUsage0204;
			self.seedUsage03 = self.seedUsage0304;
			self.seedUsage04 = self.seedUsage0404;
			self.seedUsage05 = self.seedUsage0504;
			self.seedUsage06 = self.seedUsage0604;
			self.seedUsage07 = self.seedUsage0704;
			self.seedUsage08 = self.seedUsage0804;
		end;
		sceltaSalvataggio = sceltaSalvataggio/10;
	end;
	self.posizioneCoperchio = sceltaCoperchio;
	self.posizioneSalvataggio = sceltaSalvataggio;
	self.posizioneSerio = sceltaSerio;
end;
setStatoSerioEvent = {};
setStatoSerioEvent_mt = Class(setStatoSerioEvent, Event);
InitEventClass(setStatoSerioEvent, "setStatoSerioEvent");
function setStatoSerioEvent:emptyNew()
	local self = Event:new(setStatoSerioEvent_mt);
	self.className="setStatoSerioEvent";
	return self;
end;
function setStatoSerioEvent:new(object, sceltaCoperchio, sceltaSalvataggio, sceltaSerio)
	local self = setStatoSerioEvent:emptyNew();
	self.object = object;
	self.sceltaCoperchio = sceltaCoperchio;
	self.sceltaSalvataggio = sceltaSalvataggio;
	self.sceltaSerio = sceltaSerio;
	return self;
end;
function setStatoSerioEvent:readStream(streamId, connection)
	self.object = readNetworkNodeObject(streamId);
	self.sceltaCoperchio = streamReadInt8(streamId);
	self.sceltaSalvataggio = streamReadInt8(streamId);
	self.sceltaSerio = streamReadInt8(streamId);
	self:run(connection);
end;
function setStatoSerioEvent:writeStream(streamId, connection)
	writeNetworkNodeObject(streamId, self.object);
	streamWriteInt8(streamId, self.sceltaCoperchio);
	streamWriteInt8(streamId, self.sceltaSalvataggio);
	streamWriteInt8(streamId, self.sceltaSerio);
end;
function setStatoSerioEvent:run(connection)
	if not connection:getIsServer()
	then
		g_server:broadcastEvent(self, false, connection, self.object);
	end;
	if self.object ~= nil
	then
		self.object:setStatoSerio(self.sceltaCoperchio, self.sceltaSalvataggio, self.sceltaSerio, true);
	end;
end;
function setStatoSerioEvent.sendEvent(vehicle, sceltaCoperchio, sceltaSalvataggio, sceltaSerio, noEventSend)
	if noEventSend == nil
	or noEventSend == false
	then
		if g_server ~= nil
		then
			g_server:broadcastEvent(setStatoSerioEvent:new(vehicle, sceltaCoperchio, sceltaSalvataggio, sceltaSerio), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(setStatoSerioEvent:new(vehicle, sceltaCoperchio, sceltaSalvataggio, sceltaSerio));
		end;
	end;
end;