--
-- serioJoint
--
-- @author  DD ModPassion
-- @date  04/06/2017
--
-- Copyright (C) DD ModPassion, Confidential, All Rights Reserved.
serioJoint = {};
AttacherJoints.registerJointType("serio");
function serioJoint.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(steerable, specializations);
end;
function serioJoint:load()
	self.characterNode = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.characterNode#index"));
	self.modSerio = nil;
end;
function serioJoint:postLoad(savegame)
	if savegame ~= nil
	and not savegame.resetVehicles
	then
		self.modSerio = Utils.getNoNil(getXMLString(savegame.xmlFile, savegame.key.."#modSerio"), self.modSerio);
	end;
end;
function serioJoint:getSaveAttributesAndNodes(nodeIdent)
	local attributes = 'modSerio="'..tostring(self.modSerio)..'"';
	return attributes, nil;
end;
function serioJoint:delete()
	for _, vehicle in pairs(g_currentMission.vehicles)
	do
		if vehicle ~= nil
		then
			if vehicle.modTrattore == self.modSerio
			and self.modSerio ~= nil
			then
				vehicle:delete();
			end;
		end;
	end;
end;
function serioJoint:mouseEvent(posX, posY, isDown, isUp, button)
end;
function serioJoint:keyEvent(unicode, sym, modifier, isDown)
end;
function serioJoint:update()
end;
function serioJoint:updateTick(dt)
end;
function serioJoint:draw()
end;